button,
input[type=email],
input[type=tel],
input[type=text],
input[type=password],
input[type=image],
input[type=submit],
input[type=button],
input[type=search],
textarea {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  outline: none;
}

/*
* Generate class: '.xs-input, s-input' end etc
*/

$input-size: (
        xs: '40',
        s: '60',
        m: '80',
        l: '100',
        xl: '120',
        xxl: '140'
);

@each $name, $size in $input-size {
  .#{$name}-input {
    .mat-form-field-infix {
      width: #{$size}px !important;
    }
  }
}


